Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.setup
Class DefaultSetupPersister

    java.lang.Object
      com.atlassian.bamboo.setup.DefaultSetupPersister

    public class DefaultSetupPersister

extends Object

Constructor Summary
`DefaultSetupPersister()`

Method Summary
`protected void` | `configureSetupSequence(String setupType)` Creates a default bootstrapManager sequence based on current state of bamboo.config.xml
`void` | `finishSetup()` Ensures that the bootstrapManager is written to a complete state by overriding all other remaining operations.
`List` | `getCompletedSteps()`
`String` | `getCurrentStep()`
`String` | `getSetupType()`
`List` | `getUncompletedSteps()`
`boolean` | `isDemonstrationContentInstalled()`
`void` | `progessSetupStep()`
`void` | `setApplicationConfig(ApplicationConfiguration applicationConfig)`
`void` | `setDemonstrationContentInstalled()`
`void` | `setSetupType(String setupType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSetupPersister

    public DefaultSetupPersister()

Method Detail

### setApplicationConfig

    public void setApplicationConfig(ApplicationConfiguration applicationConfig)

### configureSetupSequence

    protected void configureSetupSequence(String setupType)

  Creates a default bootstrapManager sequence based on current state of bamboo.config.xml

### getUncompletedSteps

    public List getUncompletedSteps()

### getCompletedSteps

    public List getCompletedSteps()

### getSetupType

    public String getSetupType()

  Returns:
    the bootstrapManager type of the bootstrapManager process - initial, custom or install.

### setSetupType

    public void setSetupType(String setupType)

### finishSetup

    public void finishSetup()
                     throws SetupException

  Ensures that the bootstrapManager is written to a complete state by overriding all other remaining operations.

  Throws:
    `SetupException`

### progessSetupStep

    public void progessSetupStep()

### getCurrentStep

    public String getCurrentStep()

### setDemonstrationContentInstalled

    public void setDemonstrationContentInstalled()

### isDemonstrationContentInstalled

    public boolean isDemonstrationContentInstalled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.